// Scrivere qui un kernel che effettua il resize.

__kernel void resize(__global unsigned char* in, 
                     __global unsigned char* out, 
                     int w, int h) {

    int x = get_global_id(0);
    int y = get_global_id(1);

    int x2 = x*2, y2 = y*2;
    
    if (x >= w/2 || y >= h/2) return;    

    out[y*(w/2)+x] = (in[y2*w+x2]+in[y2*w+x2+1]+
                      in[(y2+1)*w+x2]+in[(y2+1)*w+x2+1])/4;
}
